Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
sauce::Provider< Dependency > Class Template Referenceabstract

An interface for including custom factories in an Injector. More...

`#include <sauce/provider.h>`

Inheritance diagram for sauce::Provider< Dependency >:

## Public Types
typedef i::Key< Dependency >::Iface | Provides
| Indicates to template magic that this type exposes sauce::shared_ptr<Provides> get().

## Public Member Functions
virtual i::Key< Dependency >::Ptr | get ()=0
| Provide an Iface.

## Detailed Description

### template<typename Dependency>
class sauce::Provider< Dependency >

An interface for including custom factories in an Injector.

The documentation for this class was generated from the following file:

- sauce/provider.h